version: "3.7"
services:
    postgres:
        image: postgres:14
        networks:
            - canvas-net
        environment:
            POSTGRES_ROOT_PASSWORD: canvas
            POSTGRES_DB: canvas
            POSTGRES_PASSWORD: canvas
            POSTGRES_USER: canvas
        ports:
            - 5432:5432

    memcached:
        networks:
            - canvas-net
        image: memcached:latest
        ports:
            - 11211:11211

    redis:
        networks:
            - canvas-net
        image: redis:6.2.6
        command: redis-server --requirepass testpassword
        ports:
            - 6379:6379

    django:
        networks:
            - canvas-net
        build:
            context: .
            dockerfile: ./Dockerfile2
        image: wgarlock/thecanvasnyc:dev
        command: /app/runtime/entrypoint.sh
        volumes:
            - ./runtime:/app/runtime
            - ./project:/app/project
            - ./canvas:/app/canvas
            - ./canvas_admin:/app/canvas_admin
            - ../shuup:/shuup
            - ../django:/app/django
        ports:
            - "0.0.0.0:8080:8080"
        depends_on:
            - postgres
            - redis
        container_name: canvas
        env_file: .env
    celery:
        networks:
            - canvas-net
        image: wgarlock/thecanvasnyc:dev
        command: /app/runtime/entrypoint_celery_dev.sh
        volumes:
            - ./runtime:/app/runtime
            - ./entrypoint.sh:/app/entrypoint.sh
            - ./project:/app/project
            - ./canvas:/app/canvas
            - ./canvas_admin:/app/canvas_admin
        depends_on:
            - postgres
            - redis
        container_name: canvas-celery
        env_file: .env

networks:
    canvas-net:
        driver: bridge

